package com.bjtdba.order.vo;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class StoreGroupOrderVo {
    private  Long group_order_id;
    private String  group_order_sn;
    private  Long  uid;
    private BigDecimal total_postage;
    private BigDecimal total_price;
    private Integer total_num;
    private BigDecimal coupon_price;
    private String real_name;
    private String user_phone;
    private String user_address;
    private BigDecimal pay_price;
    private BigDecimal pay_postage;
    private BigDecimal cost;
    private String give_coupon_ids;
    private Integer paid;
    private String pay_time;
    private Integer pay_type;
    private String create_time;
    private Integer is_remind;
    private Integer is_del;
    private Integer rand;
    private Integer split;
    private String serialNumber;
    private Integer test_order;
    private String hf_pay_id;
    private  Long   mer_id;
    private List<OrderListVo> orderList =new ArrayList<OrderListVo>();
    private MerchantVo merchant;

    public Long getGroup_order_id() {
        return group_order_id;
    }

    public void setGroup_order_id(Long group_order_id) {
        this.group_order_id = group_order_id;
    }

    public String getGroup_order_sn() {
        return group_order_sn;
    }

    public void setGroup_order_sn(String group_order_sn) {
        this.group_order_sn = group_order_sn;
    }

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public BigDecimal getTotal_postage() {
        return total_postage;
    }

    public void setTotal_postage(BigDecimal total_postage) {
        this.total_postage = total_postage;
    }

    public BigDecimal getTotal_price() {
        return total_price;
    }

    public void setTotal_price(BigDecimal total_price) {
        this.total_price = total_price;
    }

    public Integer getTotal_num() {
        return total_num;
    }

    public void setTotal_num(Integer total_num) {
        this.total_num = total_num;
    }

    public BigDecimal getCoupon_price() {
        return coupon_price;
    }

    public void setCoupon_price(BigDecimal coupon_price) {
        this.coupon_price = coupon_price;
    }

    public String getReal_name() {
        return real_name;
    }

    public void setReal_name(String real_name) {
        this.real_name = real_name;
    }

    public String getUser_phone() {
        return user_phone;
    }

    public void setUser_phone(String user_phone) {
        this.user_phone = user_phone;
    }

    public String getUser_address() {
        return user_address;
    }

    public void setUser_address(String user_address) {
        this.user_address = user_address;
    }

    public BigDecimal getPay_price() {
        return pay_price;
    }

    public void setPay_price(BigDecimal pay_price) {
        this.pay_price = pay_price;
    }

    public BigDecimal getPay_postage() {
        return pay_postage;
    }

    public void setPay_postage(BigDecimal pay_postage) {
        this.pay_postage = pay_postage;
    }

    public BigDecimal getCost() {
        return cost;
    }

    public void setCost(BigDecimal cost) {
        this.cost = cost;
    }

    public String getGive_coupon_ids() {
        return give_coupon_ids;
    }

    public void setGive_coupon_ids(String give_coupon_ids) {
        this.give_coupon_ids = give_coupon_ids;
    }

    public Integer getPaid() {
        return paid;
    }

    public void setPaid(Integer paid) {
        this.paid = paid;
    }

    public String getPay_time() {
        return pay_time;
    }

    public void setPay_time(String pay_time) {
        this.pay_time = pay_time;
    }

    public Integer getPay_type() {
        return pay_type;
    }

    public void setPay_type(Integer pay_type) {
        this.pay_type = pay_type;
    }

    public String getCreate_time() {
        return create_time;
    }

    public void setCreate_time(String create_time) {
        this.create_time = create_time;
    }

    public Integer getIs_remind() {
        return is_remind;
    }

    public void setIs_remind(Integer is_remind) {
        this.is_remind = is_remind;
    }

    public Integer getIs_del() {
        return is_del;
    }

    public void setIs_del(Integer is_del) {
        this.is_del = is_del;
    }

    public Integer getRand() {
        return rand;
    }

    public void setRand(Integer rand) {
        this.rand = rand;
    }

    public Integer getSplit() {
        return split;
    }

    public void setSplit(Integer split) {
        this.split = split;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Integer getTest_order() {
        return test_order;
    }

    public void setTest_order(Integer test_order) {
        this.test_order = test_order;
    }

    public String getHf_pay_id() {
        return hf_pay_id;
    }

    public void setHf_pay_id(String hf_pay_id) {
        this.hf_pay_id = hf_pay_id;
    }

    public Long getMer_id() {
        return mer_id;
    }

    public void setMer_id(Long mer_id) {
        this.mer_id = mer_id;
    }

    public List<OrderListVo> getOrderList() {
        return orderList;
    }

    public void setOrderList(List<OrderListVo> orderList) {
        this.orderList = orderList;
    }

    public MerchantVo getMerchant() {
        return merchant;
    }

    public void setMerchant(MerchantVo merchant) {
        this.merchant = merchant;
    }
}
